-- Q1
CREATE TABLE MV_Q1 AS
    SELECT l_shipdate, COUNT (*)
    FROM lineitem
    GROUP BY l_shipdate;

-- Q2, Q3
CREATE TABLE MV_Q2_Q3 AS
    SELECT l_shipdate, l_suppkey, COUNT (*)
    FROM lineitem
    GROUP BY l_shipdate, l_suppkey;

-- Q4
CREATE TABLE MV_Q4 AS
    SELECT o_orderdate, MAX (l_shipdate)
    FROM lineitem, orders
    WHERE l_orderkey = o_orderkey
    GROUP BY o_orderdate;
    
-- Q5, Q6
CREATE TABLE MV_Q5_Q6 AS
    SELECT l_suppkey, o_orderdate, MAX (l_shipdate)
    FROM lineitem, orders
    WHERE l_orderkey=o_orderkey
    GROUP BY l_suppkey, o_orderdate;

-- Q7
CREATE TABLE MV_Q7 AS
    SELECT c_nationkey, l_returnflag, SUM(l_extendedprice)
    FROM lineitem, orders, customer
    WHERE l_orderkey=o_orderkey AND o_custkey=c_custkey
    GROUP BY c_nationkey, l_returnflag;
