-- count of items shipped each day after D

    SELECT l_shipdate, COUNT (*)
    FROM lineitem
    WHERE l_shipdate > '1993-06-28'
    GROUP BY l_shipdate
    
    EXCEPT

    SELECT l_shipdate, count
    FROM MV_Q1 
    WHERE l_shipdate > '1993-06-28'
;

-- count of items shipped for each supplier on day D


    SELECT l_suppkey, COUNT (*)
    FROM lineitem
    WHERE l_shipdate = '1993-06-28'
    GROUP BY l_suppkey
    
    EXCEPT
    
    SELECT l_suppkey, count
    FROM MV_Q2_Q3 
    WHERE l_shipdate = '1993-06-28';
    
-- count of items shipped for each supplier after day D

    SELECT l_suppkey, COUNT (*)
    FROM lineitem
    WHERE l_shipdate > '1993-06-28'
    GROUP BY l_suppkey
    
    EXCEPT
    
    SELECT l_suppkey, SUM(count)
    FROM MV_Q2_Q3 
    WHERE l_shipdate > '1993-06-28'
    GROUP BY l_suppkey;
    
-- latest shipdate of all items ordered after each day D    
    
    SELECT o_orderdate, MAX (l_shipdate)
    FROM lineitem, orders
    WHERE l_orderkey=o_orderkey AND o_orderdate > '1997-04-09'
    GROUP BY o_orderdate
    
    EXCEPT 
    
    SELECT o_orderdate, max
    FROM MV_Q4 WHERE o_orderdate > '1997-04-09';

-- for each supplier, latest shipdate of an item from an order that was made on day D


    SELECT l_suppkey, MAX (l_shipdate)
    FROM lineitem, orders
    WHERE l_orderkey=o_orderkey AND o_orderdate = '1997-04-09'
    GROUP BY l_suppkey

    EXCEPT    
    
    SELECT l_suppkey, max
    FROM MV_Q5_Q6 
    WHERE o_orderdate = '1997-04-09';
    
-- for each supplier, latest ship date of an item from an order that was made after day D

    
    SELECT l_suppkey, MAX (l_shipdate)
    FROM lineitem, orders
    WHERE l_orderkey=o_orderkey AND o_orderdate > '1997-04-09'
    GROUP BY l_suppkey
    
    EXCEPT
    
    SELECT l_suppkey, MAX(max)
    FROM MV_Q5_Q6 
    WHERE o_orderdate > '1997-04-09'
    GROUP BY l_suppkey;
    
-- Nations for customers (along with lost revenue) for parts that they returned


    SELECT c_nationkey, SUM(l_extendedprice)
    FROM lineitem, orders, customer
    WHERE l_orderkey=o_orderkey AND o_custkey=c_custkey AND l_returnflag='R'
    GROUP BY c_nationkey
    
    EXCEPT
    
    SELECT c_nationkey, sum
    FROM MV_Q7 
    WHERE  l_returnflag='R';
