-- Attributes:

-- Q1 l_shipdate
-- Q2 l_shipdate, l_suppkey
-- Q3 l_shipdate, l_suppkey
-- Q4 l_shipdate, l_orderkey, o_orderkey, o_orderdate
-- Q5 l_shipdate, l_suppkey, l_orderkey, o_orderkey, o_orderdate
-- Q6 l_shipdate, l_suppkey, l_orderkey, o_orderkey, o_orderdate
-- Q7 l_orderkey, l_extendedprice, l_returnflag, 
--      c_nationkey, c_custkey, o_orderkey, o_custkey

-- From table LINEITEM

-- Q1, Q2, Q3, Q4, Q5, Q6
CREATE TABLE SC_L_SHIPDATE AS 
    SELECT L_SHIPDATE, L_ORDERKEY, L_LINENUMBER 
    FROM LINEITEM;

ALTER TABLE SC_L_SHIPDATE ADD PRIMARY KEY (L_ORDERKEY, L_LINENUMBER);

-- Q2, Q3, Q5, Q6
CREATE TABLE SC_L_SUPPKEY AS 
    SELECT L_SUPPKEY, L_ORDERKEY, L_LINENUMBER 
    FROM LINEITEM;

ALTER TABLE SC_L_SUPPKEY ADD PRIMARY KEY (L_ORDERKEY, L_LINENUMBER);

-- Q7
CREATE TABLE SC_L_RETURNFLAG AS 
    SELECT L_RETURNFLAG, L_ORDERKEY, L_LINENUMBER 
    FROM LINEITEM;

ALTER TABLE SC_L_RETURNFLAG ADD PRIMARY KEY (L_ORDERKEY, L_LINENUMBER);

-- Q7
CREATE TABLE SC_L_EXTENDEDPRICE AS 
    SELECT L_EXTENDEDPRICE, L_ORDERKEY, L_LINENUMBER 
    FROM LINEITEM;

ALTER TABLE SC_L_EXTENDEDPRICE ADD PRIMARY KEY (L_ORDERKEY, L_LINENUMBER);



-- From table ORDERS

-- Q4, Q5, Q6
CREATE TABLE SC_O_ORDERDATE AS
    SELECT O_ORDERDATE, O_ORDERKEY
    FROM ORDERS;
    
ALTER TABLE SC_O_ORDERDATE ADD PRIMARY KEY (O_ORDERKEY);

-- Q7
CREATE TABLE SC_O_CUSTKEY AS
    SELECT O_CUSTKEY, O_ORDERKEY
    FROM ORDERS;
    
ALTER TABLE SC_O_CUSTKEY ADD PRIMARY KEY (O_ORDERKEY);



-- From table CUSTOMER

-- Q7
CREATE TABLE SC_C_NATIONKEY AS
    SELECT C_NATIONKEY, C_CUSTKEY
    FROM CUSTOMER;
    
ALTER TABLE SC_C_NATIONKEY ADD PRIMARY KEY (C_CUSTKEY);
